Skip to main content
GET
/
history
Get trade history
curl --request GET \
  --url https://futures.kraken.com/derivatives/api/v3/history
import requests

url = "https://futures.kraken.com/derivatives/api/v3/history"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://futures.kraken.com/derivatives/api/v3/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://futures.kraken.com/derivatives/api/v3/history"

req, _ := http.NewRequest("GET", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "history": [
    {
      "price": 123,
      "time": "<string>",
      "side": "<string>",
      "size": 123,
      "trade_id": 123,
      "uid": "<string>",
      "instrument_identification_type": "<string>",
      "isin": "<string>",
      "execution_venue": "<string>",
      "price_notation": "<string>",
      "price_currency": "<string>",
      "notional_amount": 123,
      "notional_currency": "<string>",
      "publication_time": "<string>",
      "publication_venue": "<string>",
      "transaction_identification_code": "<string>",
      "to_be_cleared": true
    }
  ],
  "result": "success",
  "serverTime": "2020-08-27T17:03:33.196Z"
}

Query Parameters

symbol
string
required

The symbol of the Futures.

lastTime
string

Returns the last 100 trades from the specified lastTime value.

Response

200 - application/json
history
object[]
required

A list containing structures with historical price information. The list is sorted descending by time.

result
enum<string>
required
Available options:
success
Example:

"success"

serverTime
string<date-time>
required

Server time in Coordinated Universal Time (UTC)

Example:

"2020-08-27T17:03:33.196Z"